divert(-1)

# "clserv.m4"	K. J. Turner (kjt@cs.stir.ac.uk)	04/06/96
# 
# Copyright 1996 K. J. Turner, University of Stirling

# This "m4" macro file uses SAGE (Service Attribute Generator) to
# generate a LOTOS specification of a connection-less service. Its
# characteristics are as follows:
# 
#   o User 1 may initiate normal data transfer. This is
#   unconfirmed, unreliable and has primitives:
#   
#     DatagramReq (Addr, Addr, Data)
#     DatagramInd (Addr, Addr, Data)
#     
#   Datagrams may occur for any pair of interaction group identifiers.

include(sage.m4)

divert

define(datagram,
  facility(12,unconfirmed,unreliable,Datagram(Addr1,Addr2,Data)))
  
global(cl,forall_ids(datagram))


